Bug 123125 - Add Options panel for SWITCH OFF new visual effects
Add Options panel for SWITCH OFF new visual effects
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P1 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
plan61
: PLAN, UI
Depends on: 125574
Blocks: 130805
  Show dependency treegraph
 
Reported: 2007-11-30 11:58 UTC by David Simonek
Modified: 2012-06-10 17:14 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
screenshot how new options panel look. I decided to put more switches as simple on/off switch is too small for such an area (27.20 KB, image/png)
2008-03-21 16:17 UTC, David Simonek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Simonek 2007-11-30 11:58:05 UTC
- Visual effects are sensible and different people want different level of effects
- suggestion is to offer effects levels "none", "normal", "extra"
- effects level should influence: drop indication animation, drag ghost image animation, sliding windows rolling
effects, floating window transparency, opening/closing top components.
Comment 1 David Simonek 2007-11-30 11:59:57 UTC
time estimation: 1 man week if parts to apply options for are prepared to be configured by options
Comment 2 David Simonek 2008-03-04 15:06:16 UTC
Visual options refused by HIE, so putting this on hold. We will see later if user's demand will change HIE's decision.
Comment 3 Lukas Hasik 2008-03-06 11:07:32 UTC
reopening, will reassign to Jano
Comment 4 Lukas Hasik 2008-03-06 11:19:38 UTC
I don't agree with the solution "no options". The new features *can* decrease IDE performance/responsiveness. Not all
the users are interested in eye-candies. There are definitely some users that are interested in features that make they
work easier and faster not slower but with nice visual effects. 

IMO, we need to provide a option for users to SWITCH OFF the new WS effects. Please, re-evaluate following proposal for
panel in Options
______________________
Window System Effects
______________________

(*) Turn On - checked by default
( ) Turn Off


I'm also increasing priority to P1 to get answer befor CF of 6.1
Comment 5 jrojcek 2008-03-10 13:53:49 UTC
We had a discussion about this issue with Dafe and Standa. As a general rule I agree that if there's a full range of visual effects, it make sense to permit users 
turn it off or customize. Some users may not like visual effects as they can be perceived as slow or distracting. At the same time I believe we're not there yet 
(full range of visual effects), so we should rather focus on tuning them to make them work for majority of users.

Lukasi, please be specific about which visual effect don't perform well. I know we turned the effects off on some of the platforms.
Comment 6 Lukas Hasik 2008-03-11 15:13:55 UTC
The transparency and d'n'd of window (ghost window image) decreased the performance d'n'd on slower machines that we
have here. The first question/report about the new WS FX was - How to turn it off? see issue 128932. Other comments at -
http://www.nabble.com/Feedback-on-Beta-6.1%3A-Transparent-Drag-N-Drop-is-bad-tp15924214p15924214.html

>"so we should rather focus on tuning them to make them work for majority of users."
I agree with you about "tunning" issue however I don't see a connection to the this topic. Turn off/on will behave in
the same way regardless of the set of ws effects. It either turns ON ALL available(I mean implemented) effect on
particular OS or it will turn OFF ALL ws fx.
Comment 7 Petr Chytil 2008-03-11 17:55:23 UTC
We turned off DND preview image on Solaris (see Issue 128524 ).

This ghost image window is:
 1] transparent when this is supported by your OS (composite window manager on Linux, -J-Dsun.java2d.noddraw=true switch
on MS Windows)
 2] non-transparent when your OS can't provide transparency (this was the case of Solaris - there is no composite wm for
Solaris 10 or older, it is also case of Linux without composite wm)

Our problem is, that performance of DND is worse compared to nb 6.0 in case 2].
Case 1] is ok, it's even faster than 6.0 was.

It would be nice to have the possibility to turn off DND preview image completely (as in case of Solaris).
One good reason is:
Composite window managers in Linux are not much stable now. They are usable, but even NetNeans has problems with them
(gray windows without any visible components). And there are many programmers who prefer stable solutions to eye-candy
ones. So many of them are using common window managers without transparency support. In this case, DND of windows is
slower in 6.1 than was on nb 6.0 - without any possibility to easily turn the thing off. 
In my opinion, installing composite window manager on Linux is not the right way to speed up DND in 6.1.
Comment 8 Marian Petras 2008-03-12 14:27:44 UTC
One more reason:
If the eye-candy graphic effects (transparency, translucency, etc.) of the window manager are off, the dragged image is
fully opaque so the user cannot see its target position. This makes this feature counterproductive (read: it makes the
IDE less usable, less accessible).
Comment 9 Antonin Nebuzelsky 2008-03-18 15:54:53 UTC
A panel for visual effects options will be added in 6.1 as a late UI change, based on the feedback here and the feedback
from the Beta users.
Comment 10 David Simonek 2008-03-21 16:14:00 UTC
implemented, panel added:

http://hg.netbeans.org/main/rev/147f9ab5a34f


Comment 11 David Simonek 2008-03-21 16:17:14 UTC
Created attachment 58853 [details]
screenshot how new options panel look. I decided to put more switches as simple on/off switch is too small for such an area
Comment 12 David Simonek 2008-03-21 16:28:20 UTC
x
Comment 13 Marian Petras 2008-03-27 22:19:57 UTC
Verified in development build 080327.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo